
add_library(
	Keel
		asset.cpp
		keel.cpp
		media.cpp
		module.cpp
		pack.cpp
		typeconv.cpp
		typestore.cpp
)

target_include_directories(
	Keel PUBLIC
		../include
)

target_link_libraries(
	Keel PUBLIC
		OxClaw
		OxEvent
		OxFS
		OxModel
		OxPreloader
)

install(
	DIRECTORY
		../include/keel
	DESTINATION
		include
)

install(
	TARGETS
		Keel
	DESTINATION
		LIBRARY DESTINATION lib
		ARCHIVE DESTINATION lib
)

if(TURBINE_BUILD_TYPE STREQUAL "Native")
	add_library(
		KeelPack-PackLib
			pack-packlib.cpp
	)
	target_include_directories(
		KeelPack-PackLib PUBLIC
			../include
	)
	target_link_libraries(
		KeelPack-PackLib
			Keel
			OxClArgs
			OxClaw
			OxLogConn
	)
	install(
		TARGETS
			KeelPack-PackLib
		DESTINATION
			LIBRARY DESTINATION lib
			ARCHIVE DESTINATION lib
	)
endif()
